import { NativeModules, NativeEventEmitter, DeviceEventEmitter, Platform } from 'react-native'

const RNCbmScreenShot = NativeModules.RNCbmScreenShot

let ScreenShotEmitter
export function addScreenShotListener (callback) {
  ScreenShotEmitter && ScreenShotEmitter.removeAllListeners('ScreenShotShare')
  ScreenShotEmitter = Platform.OS === 'ios' ? new NativeEventEmitter(RNCbmScreenShot) : DeviceEventEmitter
  ScreenShotEmitter.addListener('ScreenShotShare', callback)
  RNCbmScreenShot.startListener()
  return ScreenShotEmitter
}

export function removeScreenShotListener(){
  ScreenShotEmitter && ScreenShotEmitter.removeAllListeners('ScreenShotShare')
  return RNCbmScreenShot.stopListener()
}

export default RNCbmScreenShot

